Debian Bug report logs - #347352
ITP: gnash -- free Flash movie player

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Miriam Ruiz <little_miry@yahoo.es>

Date: Tue, 10 Jan 2006 09:18:20 UTC

Owned by: miriam ruiz <little_miry@yahoo.es>

Severity: wishlist

Tags: fixed-in-experimental

Fixed in version gnash/0.7.1+cvs20060920.2136-1

Done: Thomas Huriaux <thomas.huriaux@gmail.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, <wnpp@debian.org>, miriam ruiz <little_miry@yahoo.es>:
Bug#347352; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Miriam Ruiz <little_miry@yahoo.es>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, <wnpp@debian.org>, miriam ruiz <little_miry@yahoo.es>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Miriam Ruiz <little_miry@yahoo.es>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: gnash -- free Flash movie player
Date: Tue, 10 Jan 2006 10:07:29 +0100
Package: wnpp
Severity: wishlist
Owner: Miriam Ruiz <little_miry@yahoo.es>


* Package name    : gnash
  Version         : 0.0.20051226
  Upstream Author : Rob Savoye <rob@senecass.com>
* URL             : http://www.gnu.org/software/gnash
* License         : GPL
  Description     : free Flash movie player

 Gnash is a Free Flash movie player, which works either standalone, or as a
 Firefox/Mozilla plugin.  Currently Gnash only has working support for the
 standalone Flash movie player. Development of the plugin is under heavy
 development at this time.

 Gnash supports the current Shockwave format, version 7. While all the
 ActionScript classes exist, not all of the methods defined by the SWF format
 documentation are implemented however, so not all flash movies work 100% if
 they utilize any of the unimplemented methods. This is one of the areas to
 work on to achieve full version 7 compliance.

  Included in the Gnash is an XML based messaging system, as specified in
 the Flash specification. This lets a flash movie communicate over a TCP/IP
 socket, and parse the incoming XML message. This lets a movie be a remote
 control for other devices or applications.

-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.14
Locale: LANG=es_ES@euro, LC_CTYPE=es_ES@euro (charmap=ISO-8859-15)



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, miriam ruiz <little_miry@yahoo.es>:
Bug#347352; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Arnaud Fontaine <arnaud@andesi.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, miriam ruiz <little_miry@yahoo.es>. Full text and rfc822 format available.

Message #10 received at 347352@bugs.debian.org (full text, mbox):

From: Arnaud Fontaine <arnaud@andesi.org>
To: 347352@bugs.debian.org
Subject: ITP: gnash -- free Flash movie player
Date: Wed, 11 Jan 2006 18:08:02 +0100
Hello,

I was  filling an  ITP until i  saw your  ITP ;). So,  if you  need help
(co-maintaining for instance),  i may be interested by  this task... So,
send me a mail if you are interested.

Regards,
-- 
Arnaud Fontaine <arnaud@andesi.org> - http://www.andesi.org/ | GPG
Public Key available on pgp.mit.edu | Fingerprint: D792 B8A5 A567 B001
C342 2613 BDF2 A220 5E36 19D3



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, miriam ruiz <little_miry@yahoo.es>:
Bug#347352; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Miriam Ruiz <little_miry@yahoo.es>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, miriam ruiz <little_miry@yahoo.es>. Full text and rfc822 format available.

Message #15 received at 347352@bugs.debian.org (full text, mbox):

From: Miriam Ruiz <little_miry@yahoo.es>
To: Arnaud Fontaine <arnaud@andesi.org>, 347352@bugs.debian.org
Subject: RE: Bug#347352: ITP: gnash -- free Flash movie player
Date: Wed, 11 Jan 2006 18:40:03 +0100 (CET)
Of course!!! I would be glad to accept your help, co-maintaining the package
would be OK for me :)

I've been successful in
compiling most of the modules, but I haven't been able to build the plugin
(even though I think it's not functional yet).

I've had to patch a bit some makefiles so that some of the modules can
compile, and I use the following configure string:

CFLAGS="-Wall -g -O2 -Wl,-z,defs" ./configure --host=$(DEB_HOST_GNU_TYPE)
--build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man
--infodir=\$${prefix}/share/info --with-libxml-includes=/usr/include/libxml2/
--with-firefox-includes=/usr/include/mozilla/ --enable-pthreads --enable-dom
--enable-xmlreader --enable-http --enable-plugin --enable-dmalloc
--enable-dependency-tracking

Everything seems to compile properly until the plugin is supposed to be built
(plugin/mozilla-sdk). All the compilation goes all right, but when it comes to
linking I get an error.

I've sent an email upstream asking for support, if you want I can forward it
to you. Have you been successful in compiling the program under SID?

Greetings,
Miry

 --- Arnaud Fontaine <arnaud@andesi.org> escribió:

> Hello,
> 
> I was  filling an  ITP until i  saw your  ITP ;). So,  if you  need help
> (co-maintaining for instance),  i may be interested by  this task... So,
> send me a mail if you are interested.
> 
> Regards,
> -- 
> Arnaud Fontaine <arnaud@andesi.org> - http://www.andesi.org/ | GPG
> Public Key available on pgp.mit.edu | Fingerprint: D792 B8A5 A567 B001
> C342 2613 BDF2 A220 5E36 19D3
> 
> 



		
______________________________________________ 
LLama Gratis a cualquier PC del Mundo. 
Llamadas a fijos y móviles desde 1 céntimo por minuto. 
http://es.voice.yahoo.com



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, miriam ruiz <little_miry@yahoo.es>:
Bug#347352; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to "J.H.M. Dassen (Ray)" <jdassen@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, miriam ruiz <little_miry@yahoo.es>. Full text and rfc822 format available.

Message #20 received at 347352@bugs.debian.org (full text, mbox):

From: "J.H.M. Dassen (Ray)" <jdassen@debian.org>
To: 347352@bugs.debian.org
Subject: Re: Bug#347352: ITP: gnash -- free Flash movie player
Date: Thu, 12 Jan 2006 23:12:36 +0100
On Wed, Jan 11, 2006 at 18:40:03 +0100, Miriam Ruiz wrote:
> Of course!!! I would be glad to accept your help, co-maintaining the
> package would be OK for me :)
>
> I've been successful in compiling most of the modules, but I haven't been
> able to build the plugin (even though I think it's not functional yet).

CVS HEAD built for me yesterday, but not today. I'm testing in a pbuilder
sid chroot with the following build dependencies installed:
libjpeg62-dev, libxmu-dev, libxml2-dev, libpng12-dev, libsdl-mixer1.2-dev,
libglut3-dev and libmad0-dev (for --enable-mp3).

Currently, I get link-time errors in libgeometry:
	.libs/axial_box.o: In function `axial_box::get_random_point()
	const':/tmp/buildd
	/gnash-dev/libgeometry/axial_box.cpp:20: undefined reference to
	`tu_random::get_unit_float()'
	:/tmp/buildd/gnash-dev/libgeometry/axial_box.cpp:20: undefined reference to
	:`tu_random::get_unit_float()'
	:/tmp/buildd/gnash-dev/libgeometry/axial_box.cpp:20: undefined reference to
	:`tu_random::get_unit_float()'
	.libs/kd_tree_dynamic.o: In function
	`mesh_node_dump':/tmp/buildd/gnash-dev/libgeometry/kd_tree_dynamic.cpp:1231:
	undefined reference to `postscript::line(float, float, float, float)'
etc.; probably, an object file is missing from the link line.

> I've had to patch a bit some makefiles so that some of the modules can
> compile, and I use the following configure string:
>
> CFLAGS="-Wall -g -O2 -Wl,-z,defs" ./configure

It's cleaner to use
	CFLAGS="-Wall -g -O2" LDFLAGS="-Wl,-z,defs" ./configure ...

HTH,
Ray
-- 
Outlook Express is free, and also sometimes lets strangers share your hard
disk - is this anarchism?
	The Register's Graham Lea commenting on Steve Balmer's comparison of
	Linux to communism in http://www.theregister.co.uk/content/1/12266.html



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, miriam ruiz <little_miry@yahoo.es>:
Bug#347352; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Miriam Ruiz <little_miry@yahoo.es>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, miriam ruiz <little_miry@yahoo.es>. Full text and rfc822 format available.

Message #25 received at 347352@bugs.debian.org (full text, mbox):

From: Miriam Ruiz <little_miry@yahoo.es>
To: "J.H.M. Dassen \(Ray\)" <jdassen@debian.org>, 347352@bugs.debian.org
Subject: RE: Bug#347352: ITP: gnash -- free Flash movie player
Date: Fri, 13 Jan 2006 00:01:25 +0100 (CET)
I'm configuring the package successfully with:

	CFLAGS="$(CFLAGS) -lxml2" CPPFLAGS="-I/usr/include/SDL
-I/usr/include/mozilla/nspr" \
	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) \
	--prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info
\
	--with-libxml-includes=/usr/include/libxml2/
--with-firefox-includes=/usr/include/mozilla/ \
	--enable-pthreads --enable-dom --enable-http --enable-dmalloc \
	--enable-dependency-tracking --enable-plugin --enable-xmlreader

(thanks Arnaud)


My problem now it that when trying to install it, it tries to put some files
out of DESTDIR.

Another point is that doc cannot get into main, as it is available under a
non-debian-free license: GNU Free Documentation License

I won't be able to do much on it until monday, I'm going away the weekend.

Greetings,
iry



		
______________________________________________ 
LLama Gratis a cualquier PC del Mundo. 
Llamadas a fijos y móviles desde 1 céntimo por minuto. 
http://es.voice.yahoo.com



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, miriam ruiz <little_miry@yahoo.es>:
Bug#347352; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Adrian Knoth <adi@drcomp.erfurt.thur.de>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, miriam ruiz <little_miry@yahoo.es>. Full text and rfc822 format available.

Message #30 received at 347352@bugs.debian.org (full text, mbox):

From: Adrian Knoth <adi@drcomp.erfurt.thur.de>
To: 347352@bugs.debian.org
Subject: Any news?
Date: Fri, 10 Feb 2006 18:38:14 +0100
Hi,


I've seen no update on this issue for approx. one month now.

Is there any trouble?


-- 
mail: adi@thur.de  	http://adi.thur.de	PGP: v2-key via keyserver

Jeder redet vom öffentlichen Verkehr, aber keiner traut sich!



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, miriam ruiz <little_miry@yahoo.es>:
Bug#347352; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Miriam Ruiz <little_miry@yahoo.es>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, miriam ruiz <little_miry@yahoo.es>. Full text and rfc822 format available.

Message #35 received at 347352@bugs.debian.org (full text, mbox):

From: Miriam Ruiz <little_miry@yahoo.es>
To: 347352@bugs.debian.org
Subject: No Problem
Date: Mon, 13 Feb 2006 00:30:07 +0100 (CET)
[Message part 1 (text/plain, inline)]
I've already have the packaged finished, based on the latest CVS version. I've
talked with upstream about it and I'm waiting for the 1st official release to
add it to debian repositories.

I'm attaching my current debian directory (no patches for upstream files right
now).

Comments are welcome :)

Greetings,
Miry



		
______________________________________________ 
LLama Gratis a cualquier PC del Mundo. 
Llamadas a fijos y móviles desde 1 céntimo por minuto. 
http://es.voice.yahoo.com
[debian.tgz (application/x-gtar, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, miriam ruiz <little_miry@yahoo.es>:
Bug#347352; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to David Moreno Garza <damog@damog.net>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, miriam ruiz <little_miry@yahoo.es>. Full text and rfc822 format available.

Message #40 received at 347352@bugs.debian.org (full text, mbox):

From: David Moreno Garza <damog@damog.net>
To: Miriam Ruiz <little_miry@yahoo.es>
Cc: 347352@bugs.debian.org
Subject: Re: No Problem
Date: Mon, 13 Feb 2006 01:11:02 -0600
On 00:30 Mon 13 Feb 2006, Miriam Ruiz wrote:
> I've already have the packaged finished, based on the latest CVS version. I've
> talked with upstream about it and I'm waiting for the 1st official release to
> add it to debian repositories.
> 
> I'm attaching my current debian directory (no patches for upstream files right
> now).
> 
> Comments are welcome :)

Hello Miry :)

A couple of comments:

- The package misses build dependencies on autoconf, automake,
  libxmu-dev and dejagnu.

- I'm getting the following error while trying to build it:

powerpc-linux-gnu-g++ -DHAVE_CONFIG_H -I. -I. -I.. -I.. -I. -I../server -Wall   -I/usr/include/SDL -D_REENTRANT -I.. -I. -I../server -g -O2 -c amftest.cpp
amftest.cpp: In function 'int main(int, char**)':
amftest.cpp:70: warning: unused variable 'dump'
amftest.cpp:74: warning: unused variable 'retries'
amftest.cpp: In function 'void test_Header()':
amftest.cpp:187: warning: unused variable 'headname'
amftest.cpp: In function 'void test_Body()':
amftest.cpp:228: warning: unused variable 'amf_obj'
amftest.cpp:229: warning: unused variable 'out'
amftest.cpp: In function 'void test_Packet()':
amftest.cpp:238: warning: unused variable 'amf_obj'
amftest.cpp:239: warning: unused variable 'out'
make[3]: *** No rule to make target `../backend/libgnashbackend.la', needed by `amftest'.  Stop.
make[3]: Leaving directory `/home/damog/Desktop/debian/sources/gnash/libamf'
make[2]: *** [all-recursive] Error 1

Cheers and thanks for taking care, :)

-- 
David Moreno Garza <damog@damog.net>   |  http://www.damog.net/
		   <damog@debian.org>  |          GPG: C671257D
 Save the planet, it is the only one with chocolate.




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, miriam ruiz <little_miry@yahoo.es>:
Bug#347352; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Miriam Ruiz <little_miry@yahoo.es>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, miriam ruiz <little_miry@yahoo.es>. Full text and rfc822 format available.

Message #45 received at 347352@bugs.debian.org (full text, mbox):

From: Miriam Ruiz <little_miry@yahoo.es>
To: David Moreno Garza <damog@damog.net>, 347352@bugs.debian.org
Subject: RE: Bug#347352: No Problem
Date: Mon, 13 Feb 2006 09:02:42 +0100 (CET)
Hi Damog!! :)

> Hello Miry :)
> 
> A couple of comments:
> 
> - The package misses build dependencies on autoconf, automake,
>   libxmu-dev and dejagnu.
> 
> - I'm getting the following error while trying to build it:

Thanks for the comments. Right now those are needed, of course, but when a new
version is officially release, it would probably include configure files
already generated, so I don't think they'd be needed in the release. Do you
think I should regenerate them?

> powerpc-linux-gnu-g++ -DHAVE_CONFIG_H -I. -I. -I.. -I.. -I. -I../server
> -Wall   -I/usr/include/SDL -D_REENTRANT -I.. -I. -I../server -g -O2 -c
> amftest.cpp
> amftest.cpp: In function 'int main(int, char**)':
> amftest.cpp:70: warning: unused variable 'dump'
> amftest.cpp:74: warning: unused variable 'retries'
> amftest.cpp: In function 'void test_Header()':
> amftest.cpp:187: warning: unused variable 'headname'
> amftest.cpp: In function 'void test_Body()':
> amftest.cpp:228: warning: unused variable 'amf_obj'
> amftest.cpp:229: warning: unused variable 'out'
> amftest.cpp: In function 'void test_Packet()':
> amftest.cpp:238: warning: unused variable 'amf_obj'
> amftest.cpp:239: warning: unused variable 'out'
> make[3]: *** No rule to make target `../backend/libgnashbackend.la', needed
> by `amftest'.  Stop.
> make[3]: Leaving directory `/home/damog/Desktop/debian/sources/gnash/libamf'
> make[2]: *** [all-recursive] Error 1

I'll have a look at latest CVS version to see if that also happens to me.
Thanks :)

> Cheers and thanks for taking care, :)

Greetings,
Miry



		
______________________________________________ 
LLama Gratis a cualquier PC del Mundo. 
Llamadas a fijos y móviles desde 1 céntimo por minuto. 
http://es.voice.yahoo.com



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, miriam ruiz <little_miry@yahoo.es>:
Bug#347352; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to David Moreno Garza <damog@damog.net>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, miriam ruiz <little_miry@yahoo.es>. Full text and rfc822 format available.

Message #50 received at 347352@bugs.debian.org (full text, mbox):

From: David Moreno Garza <damog@damog.net>
To: Miriam Ruiz <little_miry@yahoo.es>
Cc: 347352@bugs.debian.org
Subject: Re: Bug#347352: No Problem
Date: Wed, 22 Feb 2006 00:57:47 -0600
On 09:02 Mon 13 Feb 2006, Miriam Ruiz wrote:
> Thanks for the comments. Right now those are needed, of course, but when a new
> version is officially release, it would probably include configure files
> already generated, so I don't think they'd be needed in the release. Do you
> think I should regenerate them?

No, unless you want to do some specific changes to the configure file,
which is a rare condition.

> I'll have a look at latest CVS version to see if that also happens to me.
> Thanks :)

Your welcome, anyway, any news so far?

-- 
David Moreno Garza <damog@damog.net>   |  http://www.damog.net/
		   <damog@debian.org>  |          GPG: C671257D
 Este no es un capricho, es un corazón sincero: Nada más.




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, miriam ruiz <little_miry@yahoo.es>:
Bug#347352; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Miriam Ruiz <little_miry@yahoo.es>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, miriam ruiz <little_miry@yahoo.es>. Full text and rfc822 format available.

Message #55 received at 347352@bugs.debian.org (full text, mbox):

From: Miriam Ruiz <little_miry@yahoo.es>
To: David Moreno Garza <damog@damog.net>
Cc: 347352@bugs.debian.org
Subject: Re: Bug#347352: No Problem
Date: Wed, 22 Feb 2006 13:11:26 +0100 (CET)
[Message part 1 (text/plain, inline)]
> > I'll have a look at latest CVS version to see if that also happens to me.
> > Thanks :)
> 
> Your welcome, anyway, any news so far?

The latest version works OK for me. I had to patch the build system a bit
(they seem to have changed it).

I'm attaching latest debian directory. Please tell me if it works for you.

Miry


		
______________________________________________ 
LLama Gratis a cualquier PC del Mundo. 
Llamadas a fijos y móviles desde 1 céntimo por minuto. 
http://es.voice.yahoo.com
[debian.tgz (application/x-compressed-tar, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, miriam ruiz <little_miry@yahoo.es>:
Bug#347352; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Miriam Ruiz <little_miry@yahoo.es>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, miriam ruiz <little_miry@yahoo.es>. Full text and rfc822 format available.

Message #60 received at 347352@bugs.debian.org (full text, mbox):

From: Miriam Ruiz <little_miry@yahoo.es>
To: 347352@bugs.debian.org
Subject: latest snapshot
Date: Wed, 29 Mar 2006 10:21:53 +0200 (CEST)
[Message part 1 (text/plain, inline)]
This is the latest debian/ I've created for building the Debian packages. I
had to drop the "-Wl,-z,defs" part in the CFLAGS assign before ./configure to
make it compile, but it seems to work now. Of course, it's not finished yet.

Miry


		
______________________________________________ 
LLama Gratis a cualquier PC del Mundo. 
Llamadas a fijos y móviles desde 1 céntimo por minuto. 
http://es.voice.yahoo.com
[debian.tar.bz2 (application/x-bzip, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, miriam ruiz <little_miry@yahoo.es>:
Bug#347352; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Miriam Ruiz <little_miry@yahoo.es>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, miriam ruiz <little_miry@yahoo.es>. Full text and rfc822 format available.

Message #65 received at 347352@bugs.debian.org (full text, mbox):

From: Miriam Ruiz <little_miry@yahoo.es>
To: debian-mentors@lists.debian.org
Cc: 347352@bugs.debian.org
Subject: Re: question about CFLAGS modifiers to ./configure
Date: Fri, 31 Mar 2006 10:38:02 +0200 (CEST)
[Message part 1 (text/plain, inline)]
It seems that the linker options: "-Wl,-z,defs" are neccesary (for policy),
but if you don't add this linker flags, it compiles and builds without
problems. With them, it's hell.

I've managed to compile libbase and libgeometry adding AM_LDFLAGS to
Makefile.am:

libbase/Makefile.am:
AM_LDFLAGS  = $(OPENGL_LIBS) $(SDL_LIBS) $(LIBZ) $(JPEG_LIBS)

libgeometry/Makefile.am:
AM_LDFLAGS  = $(OPENGL_LIBS) $(SDL_LIBS) -L../libbase -lgnashbase

But I'm having serious problems with some of the other components.

I'm attaching the latest snapshot of my debian directory, as well as the
.build file resulting from trying to build it. I'm getting tons of undefined
references, some of which I don't seem to be able to get rid of.

The source is not yet available as a tgz, as it is still under development in
the CVS. To get it, you need to:

export CVS_RSH="ssh"
cvs -z3 -d:pserver:anonymous@cvs.sv.gnu.org:/sources/gnash co gnash

as described in http://www.gnu.org/software/gnash/

I've emailed upstream about it.

Greetings,
Miry


		
______________________________________________ 
LLama Gratis a cualquier PC del Mundo. 
Llamadas a fijos y móviles desde 1 céntimo por minuto. 
http://es.voice.yahoo.com
[debian.tar.bz2 (application/x-bzip, attachment)]
[gnash_0.0.20060328-1_i386.build.bz2 (application/x-bzip, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, miriam ruiz <little_miry@yahoo.es>:
Bug#347352; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, miriam ruiz <little_miry@yahoo.es>. Full text and rfc822 format available.

Message #70 received at 347352@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: 347352@bugs.debian.org
Cc: Miriam Ruiz <little_miry@yahoo.es>, David Moreno Garza <damog@damog.net>
Subject: Re: ITP: gnash -- free Flash movie player
Date: Sat, 01 Apr 2006 16:44:01 +0200
Based on the proposed debian/ directory and the latest CVS source,
I've made test packages for gnash on sarge available from
<URL:http://developer.skolelinux.no/~pere/debian/packages/>.  I've
only tested the standalone viewer, but it seem to limp along just
fine.

Is there anything I can do to help get gnash into Debian/unstable?  I
believe it is a good idea to upload it soon, to get it past NEW as
soon as possible.  I do not believe it is a good idea to wait until
upstream releases a tarball, as this can take a while.

The reason I am interested in flash support in Debian is my
involvement in Debian Edu.  I've started a wiki page collecting test
pages and info about the state of free flash,
<URL:http://wiki.debian.org/DebianEdu/FlashInDebianEdu>.  Feel free to
add more information to it. :)

Friendly,
-- 
Petter Reinholdtsen



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, miriam ruiz <little_miry@yahoo.es>:
Bug#347352; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Miriam Ruiz <little_miry@yahoo.es>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, miriam ruiz <little_miry@yahoo.es>. Full text and rfc822 format available.

Message #75 received at 347352@bugs.debian.org (full text, mbox):

From: Miriam Ruiz <little_miry@yahoo.es>
To: 347352@bugs.debian.org
Cc: Petter Reinholdtsen <pere@hungry.com>, David Moreno Garza <damog@damog.net>
Subject: RE: Bug#347352: ITP: gnash -- free Flash movie player
Date: Mon, 3 Apr 2006 12:20:43 +0200 (CEST)
I'm not sure about wanting to drop the "-Wl,-z,defs" linker options, as they
seem to be neccesary by policy. Apart from that, It was suggested by someone
to upload it to experimental while we wait for a release tarball.

I cannot upload it myself, so if someone wants to sponsor it, I can prepare a
package from the latest tarball. People who use AMD64 or PPC seem to
desperately want it, at least my friends, but I'm not sure if the software is
ready for the final user, or if the libraries are stable enough. Upstream
suggested not to upload it until they released an official tarball, but I
guess experimental would be OK.

Miry



		
______________________________________________ 
LLama Gratis a cualquier PC del Mundo. 
Llamadas a fijos y móviles desde 1 céntimo por minuto. 
http://es.voice.yahoo.com



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, miriam ruiz <little_miry@yahoo.es>:
Bug#347352; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, miriam ruiz <little_miry@yahoo.es>. Full text and rfc822 format available.

Message #80 received at 347352@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: Miriam Ruiz <little_miry@yahoo.es>
Cc: 347352@bugs.debian.org, David Moreno Garza <damog@damog.net>
Subject: Re: Bug#347352: ITP: gnash -- free Flash movie player
Date: Mon, 3 Apr 2006 12:44:45 +0200
[Miriam Ruiz]
> I'm not sure about wanting to drop the "-Wl,-z,defs" linker options,
> as they seem to be neccesary by policy.

I dropped it to fix some other problem.  Not sure if that problem
exist any more, so it might be a good idea to reinsert it.  I do not
have an opinion on that.

> Apart from that, It was suggested by someone to upload it to
> experimental while we wait for a release tarball.

I agree that uploading to experimental is a good idea.

> I cannot upload it myself, so if someone wants to sponsor it, I can
> prepare a package from the latest tarball.

I can sponsor it.  Please read
<URL:http://developer.skolelinux.no/~pere/debian-sponsoring.html> to
learn my sponsoring preferences.



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, miriam ruiz <little_miry@yahoo.es>:
Bug#347352; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Matt Taggart <taggart@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, miriam ruiz <little_miry@yahoo.es>. Full text and rfc822 format available.

Message #85 received at 347352@bugs.debian.org (full text, mbox):

From: Matt Taggart <taggart@debian.org>
To: 347352@bugs.debian.org
Subject: gnash build errors
Date: Mon, 01 May 2006 18:32:58 -0700
Hi Miriam,

I was looking at the wnpp bug for gnash and thought I'd try and build the 
source you made available at http://baby.yi.org/packages/gnash/ (version 
0.0.20060429-1). I built using pbuilder on an up to date unstable root and I 
found a couple problems.

1.) When the build first starts it runs debian/rules clean, which runs,
"-rm `find . -name Makefile.in`"

if Makefile.in isn't found it results in this error,

  rm `find . -name Makefile.in`
  rm: missing operand
  Try `rm --help' for more information.

This error gets ignored, but is probably still worth fixing.


2.) After building for a while the build fails,

========================================================================
....
 i486-linux-gnu-g++ -DHAVE_CONFIG_H -I. -I. -I.. -I.. -I.. -I../server 
-I../libbase -I../backend -I../libgeometry -I/usr/include -I/usr/include/SDL 
-I/usr/include/SDL -I/usr/include/libxml2 -I/usr/include/gtkglext-1.0 
-I/usr/lib/gtkglext-1.0/include -I/usr/include/gtk-2.0 
-I/usr/lib/gtk-2.0/include -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 
-I/usr/lib/glib-2.0/include -I/usr/include/cairo -I/usr/include/atk-1.0 
-DQT_THREAD_SUPPORT -D_REENTRANT -g -O2 -W -Wall -Wcast-align -Wcast-qual 
-Wpointer-arith -Wreturn-type -MT gtksup.lo -MD -MP -MF .deps/gtksup.Tpo -c 
gtksup.cpp -o gtksup.o >/dev/null 2>&1
/bin/sh ../libtool --tag=CXX --mode=link i486-linux-gnu-g++  -g -O2       -W   
    -Wall       -Wcast-align       -Wcast-qual       -Wpointer-arith       
-Wreturn-type        -ljpeg -lpng -logg -lz -L/usr/lib -lxml2 -lz -lm -lSDL 
-lSDL_mixer -lGL -lGLU -lgtkglext-x11-1.0 -lgdkglext-x11-1.0 -lgtk-x11-2.0 
-lgdk-x11-2.0 -lpango-1.0 -lcairo -latk-1.0 -lglib-2.0 -L/usr/lib  -lmad 
-lpthread  -o libgnashbackend.la -rpath /usr/lib  render_handler_ogl.lo 
sound_handler_sdl.lo gtksup.lo  -lSDL_mixer -lrt -lX11 -lXi -lXmu
i486-linux-gnu-g++ -shared -nostdlib /usr/lib/gcc/i486-linux-gnu/4.0.4/../../..
/../lib/crti.o /usr/lib/gcc/i486-linux-gnu/4.0.4/crtbeginS.o  
.libs/render_handler_ogl.o .libs/sound_handler_sdl.o .libs/gtksup.o  
/usr/lib/libjpeg.so -lpng /usr/lib/libogg.so -L/usr/lib /usr/lib/libxml2.so 
-lz /usr/lib/libSDL.so -lGL -lGLU /usr/lib/libgtkglext-x11-1.0.so 
/usr/lib/libgdkglext-x11-1.0.so /usr/lib/libgtk-x11-2.0.so 
/usr/lib/libgdk-x11-2.0.so /usr/lib/libpango-1.0.so /usr/lib/libcairo.so 
/usr/lib/libatk-1.0.so /usr/lib/libglib-2.0.so /usr/lib/libmad.so -lpthread 
/usr/lib/libSDL_mixer.so -lrt -lX11 -lXi -lXmu -L/usr/lib/gcc/i486-linux-gnu/4.
0.4 -L/usr/lib/gcc/i486-linux-gnu/4.0.4/../../../../lib 
-L/usr/lib/gcc/i486-linux-gnu/4.0.4/../../.. -L/lib/../lib -L/usr/lib/../lib 
-lstdc++ -lm -lc -lgcc_s /usr/lib/gcc/i486-linux-gnu/4.0.4/crtendS.o 
/usr/lib/gcc/i486-linux-gnu/4.0.4/../../../../lib/crtn.o  -Wl,-soname 
-Wl,libgnashbackend.so.0 -o .libs/libgnashbackend.so.0.0.0
(cd .libs && rm -f libgnashbackend.so.0 && ln -s libgnashbackend.so.0.0.0 
libgnashbackend.so.0)
(cd .libs && rm -f libgnashbackend.so && ln -s libgnashbackend.so.0.0.0 
libgnashbackend.so)
ar cru .libs/libgnashbackend.a  render_handler_ogl.o sound_handler_sdl.o 
gtksup.o
ranlib .libs/libgnashbackend.a
creating libgnashbackend.la
/bin/sed: can't read /usr/lib/libXcursor.la: No such file or directory
libtool: link: `/usr/lib/libXcursor.la' is not a valid libtool archive
make[3]: *** [libgnashbackend.la] Error 1
make[3]: Leaving directory `/tmp/buildd/gnash-0.0.20060429/backend'
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory `/tmp/buildd/gnash-0.0.20060429'
make[1]: *** [all] Error 2
make[1]: Leaving directory `/tmp/buildd/gnash-0.0.20060429'
make: *** [build-stamp] Error 2
========================================================================

Are you seeing this error? Let me know if you fix it and would like me to try 
building again.

Thanks,

-- 
Matt Taggart
taggart@debian.org





Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, miriam ruiz <little_miry@yahoo.es>:
Bug#347352; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Miriam Ruiz <little_miry@yahoo.es>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, miriam ruiz <little_miry@yahoo.es>. Full text and rfc822 format available.

Message #90 received at 347352@bugs.debian.org (full text, mbox):

From: Miriam Ruiz <little_miry@yahoo.es>
To: Matt Taggart <taggart@debian.org>, 347352@bugs.debian.org
Subject: RE: Bug#347352: gnash build errors
Date: Tue, 2 May 2006 11:52:33 +0200 (CEST)
Hi,

Yes, I've noticed that too. As .la files seem to have been removed from latest
xorg, /usr/lib/libXcursor.la doesn't exist anymore (
http://lists.debian.org/debian-devel/2006/04/msg00346.html ), the current
building system seems to fail. I'll try to fix that ASAP

Thanks,
Miry



		
______________________________________________ 
LLama Gratis a cualquier PC del Mundo. 
Llamadas a fijos y móviles desde 1 céntimo por minuto. 
http://es.voice.yahoo.com



Tags added: fixed-in-experimental Request was from Miriam Ruiz <little_miry@yahoo.es> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Thomas Huriaux <thomas.huriaux@gmail.com>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Miriam Ruiz <little_miry@yahoo.es>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #97 received at 347352-close@bugs.debian.org (full text, mbox):

From: Thomas Huriaux <thomas.huriaux@gmail.com>
To: 347352-close@bugs.debian.org
Subject: closing old ITP bug
Date: Mon, 25 Sep 2006 12:16:51 +0200
[Message part 1 (text/plain, inline)]
Source: gnash
Source-Version: 0.7.1+cvs20060920.2136-1

-- 
Thomas Huriaux
[signature.asc (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 18 Jun 2007 08:02:50 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 01:01:18 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.